hsmtest.c File Reference
`#include "config.h"`
`#include <stdio.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include "libhsm.h"`
`#include <libhsmdns.h>`
`#include "hsmtest.h"`

Go to the source code of this file.

## Functions

int | hsm_test (const char *repository, hsm_ctx_t *ctx)

## Function Documentation

## hsm_test()

int hsm_test | ( | const char * | repository,
|  | hsm_ctx_t * | ctx
| ) |  |

Definition at line 107 of file hsmtest.c.

References ctx, hsm_generate_dsa_key(), hsm_generate_ecdsa_key(), hsm_generate_eddsa_key(), hsm_generate_gost_key(), hsm_generate_rsa_key(), hsm_get_key_id(), hsm_print_error(), hsm_remove_key(), hsm_token_attached(), and libhsm_key_free().